package cn.com.taiji.beidou.service.impl;

import cn.com.taiji.beidou.dto.IGeomesaTrackDTO;
import cn.com.taiji.beidou.entity.BeidouTrackEntity;
import cn.com.taiji.beidou.entity.FocusShipEntity;
import cn.com.taiji.beidou.mapper.BeidouTrackMapper;
import cn.com.taiji.beidou.mapper.FocusShipMapper;
import cn.com.taiji.beidou.service.IBeidouTrackService;
import cn.com.taiji.beidou.service.IFocusShipService;
import com.alibaba.fastjson.JSONObject;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import lombok.extern.slf4j.Slf4j;
import org.apache.kafka.clients.consumer.ConsumerRecord;
import org.geotools.data.FeatureReader;
import org.geotools.data.FeatureWriter;
import org.geotools.data.Query;
import org.geotools.data.Transaction;
import org.geotools.factory.CommonFactoryFinder;
import org.geotools.feature.simple.SimpleFeatureBuilder;
import org.geotools.filter.identity.FeatureIdImpl;
import org.geotools.util.factory.Hints;
import org.locationtech.geomesa.redis.data.RedisDataStore;
import org.opengis.feature.simple.SimpleFeature;
import org.opengis.feature.simple.SimpleFeatureType;
import org.opengis.filter.Filter;
import org.opengis.filter.FilterFactory2;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.data.redis.core.StringRedisTemplate;
import org.springframework.stereotype.Service;

import java.util.*;

/**
 * @Description:
 * @Author: hujie@umisoft.cn
 * @Date: 2021/11/30 9:59 下午
 */
@Service
@Slf4j
public class FocusShipServiceImpl extends ServiceImpl<FocusShipMapper, FocusShipEntity> implements IFocusShipService {

}